import { defineConfig } from "@hey-api/openapi-ts";

export default defineConfig({
  client: "@hey-api/client-axios",
  input: "./openapi-clowm.json",
  output: {
    lint: "eslint",
    format: "prettier",
    path: "src/client",
  },
  plugins: [
    { enums: "typescript", name: "@hey-api/typescript" },
    { asClass: true, name: "@hey-api/sdk" },
  ],
});
